"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsonata = require("jsonata");
const chai_1 = require("chai");
const regexGroupMatcher_1 = require("../lib/regexGroupMatcher");
exports.storageStepRunners = () => [
    regexGroupMatcher_1.regexGroupMatcher(/^(?:"(?<exp>[^"]+)" of )?"(?<storeName>[^"]+)" (?<equalOrMatch>equal|match) this JSON$/)(async ({ exp, equalOrMatch, storeName }, step, runner) => {
        if (!step.interpolatedArgument) {
            throw new Error('Must provide argument!');
        }
        const j = JSON.parse(step.interpolatedArgument);
        const result = runner.store[storeName];
        const fragment = exp ? jsonata(exp).evaluate(result) : result;
        if (equalOrMatch === 'match') {
            chai_1.expect(fragment).to.containSubset(j);
        }
        else {
            chai_1.expect(fragment).to.deep.equal(j);
        }
        return [fragment];
    }),
];
